import LayoutManager from './LayoutManager';
declare class EventBusDispatcher {
    private _layoutManager;
    constructor();
    setLayoutManager(layoutManager: LayoutManager): void;
    registerBusEvents(): void;
    private _topicResizeEvent;
    private _topicMoved;
    private _topicDisconect;
    private _topicConnected;
    getLayoutManager(): LayoutManager;
    private _childShrinked;
    private _topicAdded;
    private _topicRemoved;
    private _forceLayout;
}
export default EventBusDispatcher;
